SDL_vsscanf(3)

NAME
SDL_vsscanf - This works exactly like vsscanf() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_vsscanf(const char *text, const char *fmt, va_list ap);

DESCRIPTION
Functions identically to SDL_sscanf (), except it takes a va_list instead of using ... variable arguments.

FUNCTION PARAMETERS

text
    the string to scan. Must not be NULL.

fmt a printf-style format string. Must not be NULL.

ap  a va_list of pointers to values to be filled in with scanned items.

RETURN VALUE
Returns the number of items that matched the format string.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.